Package Details: uberwriter-git 2.2.0.beta1.4.r14.gb9e2720-1

Git Clone URL: https://aur.archlinux.org/uberwriter-git.git (read-only)
Package Base: uberwriter-git
Description: A distraction free Markdown editor for GNU/Linux made with GTK+
Upstream URL: http://uberwriter.github.io/uberwriter/
Keywords: distraction-free gtk markdown markdown-editor python
Licenses: GPL3
Conflicts: uberwriter
Provides: uberwriter
Submitter: flipflop97
Maintainer: flipflop97
Last Packager: flipflop97
Votes: 2
Popularity: 0.015381
First Submitted: 2018-08-09 19:39
Last Updated: 2019-05-07 13:20

Latest Comments

katafrakt commented on 2019-05-07 13:10

The package was built ok for me, but it failed to start because of missing python-pypandoc dependency:

Traceback (most recent call last):
  File "/usr/bin/uberwriter.in", line 49, in <module>
    import uberwriter
  File "/usr/lib/python3.7/site-packages/uberwriter/__init__.py", line 22, in <module>
    from uberwriter import window
  File "/usr/lib/python3.7/site-packages/uberwriter/window.py", line 27, in <module>
    from uberwriter.export_dialog import Export
  File "/usr/lib/python3.7/site-packages/uberwriter/export_dialog.py", line 29, in <module>
    from uberwriter import helpers
  File "/usr/lib/python3.7/site-packages/uberwriter/helpers.py", line 25, in <module>
    import pypandoc
ModuleNotFoundError: No module named 'pypandoc'

milk commented on 2019-01-18 05:48

==> Starting prepare()...
patching file de.wolfvollprecht.UberWriter.desktop
Hunk #1 FAILED at 3.
1 out of 1 hunk FAILED -- saving rejects to file de.wolfvollprecht.UberWriter.desktop.rej
patching file setup.py
Hunk #1 FAILED at 76.
1 out of 1 hunk FAILED -- saving rejects to file setup.py.rej
==> ERROR: A failure occurred in prepare().
    Aborting...
Error making: uberwriter-git

flipflop97 commented on 2018-10-15 18:56

@yochananmarqos

I've added pandoc and otf-fira-mono/ttf-fira-mono as dependencies (and some other that I missed), thanks for noticing!

python-gtkspellcheck seems to be hard-bundled with Uberwriter, this would need upstream changes to be able to use the system version. So I've left this out for now.